globals [ticks gini-coeff popularity-list]

breed [individuals individual]
breed [cars car]
cars-own [quality1 quality2 quality3 quality4 quality5 quality6 quality7 quality8 quality9 quality10  quality line]

individuals-own [M winner birthday performance-level prob left? prenumber ownquality]


to setup
  ca
  set ticks 0
  let column 18
  let row -15
  set-default-shape cars "car"
  create-custom-cars num-of-options
  [
  without-interruption
  [
  set size 1
  set color red
  set line 0
  set quality1 random-float 100
  set quality2 random-float 100
  set quality3 random-float 100
  set quality4 random-float 100
  set quality5 random-float 100
  set quality6 random-float 100
  set quality7 random-float 100
  set quality8 random-float 100
  set quality9 random-float 100
  set quality10 random-float 100
  
  
  set quality (quality1 + quality2 + quality3 + quality4 + quality5 + quality6 + quality7 + quality8 + quality9 + quality10)
 
  
  setxy row column
  set row row + 7
  if row >= 18
  [
  set column column - 2
  set row -18
  ]
  ]
  ]
  
  let a 2
  let b 1
  create-custom-individuals 140
  [set left? true
   set M random-normal Mmean stdev  
   if M < 1
   [set M 1]
   set performance-level (2 * ((infoamount / M) ^ (a - 1)) / ((b ^ a) + ((infoamount / M) ^ a))) * 100  
   set prob exp (M * lamda)
  ]
end

to go 
  run-agent-run
  do-plot
  if not any? individuals-at 0 0  
  [stop]
end  

to run-agent-run
  let pick random-float sum values-from individuals with [left?] [prob]
  let chooser nobody
  ask individuals with [left?]
    [ if chooser = nobody
        [ ifelse prob > pick
            [ set chooser self ]
            [ set pick pick - prob ] ] ]

  ask chooser
 [
  ifelse ind-group?
  [go-individuals]
  [ifelse performance-level > 80
  [go-individuals]
  [go-socials]
  ]
  set left? false
 ]
end

to go-individuals
  setxy 0 -18
  set color yellow
  set shape "person"
  set size 1.5
  set birthday ticks
  
  set prenumber random-float 10 ;; it is "preference"
  
  if 9 < prenumber and prenumber <= 10
  [set winner max-one-of (n-of num-of-options cars) [quality10]]
  if 8 < prenumber and prenumber <= 9
  [set winner max-one-of (n-of num-of-options cars) [quality9]]
  if 7 < prenumber and prenumber <= 8
  [set winner max-one-of (n-of num-of-options cars) [quality8]]
  if 6 < prenumber and prenumber <= 7
  [set winner max-one-of (n-of num-of-options cars) [quality7]]
  if 5 < prenumber and prenumber <= 6
  [set winner max-one-of (n-of num-of-options cars) [quality6]]
  if 4 < prenumber and prenumber <= 5
  [set winner max-one-of (n-of num-of-options cars) [quality5]]
  if 3 < prenumber and prenumber <= 4
  [set winner max-one-of (n-of num-of-options cars) [quality4]]
  if 2 < prenumber and prenumber <= 3
  [set winner max-one-of (n-of num-of-options cars) [quality3]]
  if 1 < prenumber and prenumber <= 2
  [set winner max-one-of (n-of num-of-options cars) [quality2]]
  if prenumber <= 1
  [set winner max-one-of (n-of num-of-options cars) [quality1]]
  
  let randomchoice one-of cars 
  
  ifelse performance-level > random 100
  [
  face winner
  fd distance winner
  ask winner 
   [
   set line line + 1
   set size size + 0.01
   ]
  set ownquality (quality-of one-of cars in-radius .5)

  ]
  [
  face randomchoice
  fd distance randomchoice
  ask randomchoice 
   [
   set line line + 1
   set size size + 0.01
   ]
  set ownquality (quality-of one-of cars in-radius .5)
  ]
  
  set ticks ticks + 1
end

to go-socials
  setxy 0 -18
  set color cyan 
  set shape "person"
  set size 1.5
  set birthday ticks
  set prenumber random-float infoamount
  let popular max-one-of (n-of num-of-options cars) [line]
  face popular 
  fd distance popular 
  ask popular 
   [
   set line line + 1
   set size size + 0.01
   ]
 
  set ownquality (quality-of one-of cars in-radius .5)
  set ticks ticks + 1
end

  


to do-plot
  set-current-plot "Gini"
  set-current-plot-pen "gini-coefficient"
  set popularity-list sort-by [line-of ?1 < line-of ?2] cars  
  set popularity-list cars with [member? self popularity-list]
  set popularity-list values-from popularity-list [line] 
  set popularity-list sort-by [?1 < ?2] popularity-list
  set gini-coeff popularity-list
  
  let max-popularity-car max-one-of cars [line]
  let max-popularity value-from max-popularity-car [line]
  plot max-popularity 
  end
@#$#@#$#@
GRAPHICS-WINDOW
290
10
760
501
20
20
11.22
1
10
1
1
1
0
0
0
1
-20
20
-20
20

CC-WINDOW
5
515
1094
610
Command Center
0

BUTTON
789
108
852
141
setup
setup
NIL
1
T
OBSERVER
T
NIL

SLIDER
109
265
281
298
Mmean
Mmean
0
10
5
1
1
NIL

BUTTON
789
152
852
185
go
go
T
1
T
OBSERVER
T
NIL

SLIDER
108
318
280
351
stdev
stdev
0
10
1
1
1
NIL

SLIDER
112
104
284
137
infoamount
infoamount
0
15
5
1
1
NIL

SWITCH
854
38
971
71
ind-group?
ind-group?
1
1
-1000

PLOT
788
204
1085
494
Gini
Time
Max papularity
0.0
10.0
0.0
10.0
true
false
PENS
"gini-coefficient" 1.0 0 -16777216 true

SLIDER
111
157
283
190
num-of-options
num-of-options
0
20
5
1
1
NIL

SLIDER
111
369
283
402
lamda
lamda
0
3
0.0
0.1
1
NIL

@#$#@#$#@
WHAT IS IT?
-----------
This section could give a general understanding of what the model is trying to show or explain.


HOW IT WORKS
------------
This section could explain what rules the agents use to create the overall behavior of the model.


HOW TO USE IT
-------------
This section could explain how to use the model, including a description of each of the items in the interface tab.


THINGS TO NOTICE
----------------
This section could give some ideas of things for the user to notice while running the model.


THINGS TO TRY
-------------
This section could give some ideas of things for the user to try to do (move sliders, switches, etc.) with the model.


EXTENDING THE MODEL
-------------------
This section could give some ideas of things to add or change in the procedures tab to make the model more complicated, detailed, accurate, etc.


NETLOGO FEATURES
----------------
This section could point out any especially interesting or unusual features of NetLogo that the model makes use of, particularly in the Procedures tab.  It might also point out places where workarounds were needed because of missing features.


RELATED MODELS
--------------
This section could give the names of models in the NetLogo Models Library or elsewhere which are of related interest.


CREDITS AND REFERENCES
----------------------
This section could contain a reference to the model's URL on the web if it has one, as well as any other necessary credits or references.
@#$#@#$#@
default
true
0
Polygon -7500403 true true 150 5 40 250 150 205 260 250

link
true
0
Line -7500403 true 150 0 150 300

link direction
true
0
Line -7500403 true 150 150 30 225
Line -7500403 true 150 150 270 225

airplane
true
0
Polygon -7500403 true true 150 0 135 15 120 60 120 105 15 165 15 195 120 180 135 240 105 270 120 285 150 270 180 285 210 270 165 240 180 180 285 195 285 165 180 105 180 60 165 15

arrow
true
0
Polygon -7500403 true true 150 0 0 150 105 150 105 293 195 293 195 150 300 150

box
false
0
Polygon -7500403 true true 150 285 285 225 285 75 150 135
Polygon -7500403 true true 150 135 15 75 150 15 285 75
Polygon -7500403 true true 15 75 15 225 150 285 150 135
Line -16777216 false 150 285 150 135
Line -16777216 false 150 135 15 75
Line -16777216 false 150 135 285 75

bug
true
0
Circle -7500403 true true 96 182 108
Circle -7500403 true true 110 127 80
Circle -7500403 true true 110 75 80
Line -7500403 true 150 100 80 30
Line -7500403 true 150 100 220 30

butterfly
true
0
Polygon -7500403 true true 150 165 209 199 225 225 225 255 195 270 165 255 150 240
Polygon -7500403 true true 150 165 89 198 75 225 75 255 105 270 135 255 150 240
Polygon -7500403 true true 139 148 100 105 55 90 25 90 10 105 10 135 25 180 40 195 85 194 139 163
Polygon -7500403 true true 162 150 200 105 245 90 275 90 290 105 290 135 275 180 260 195 215 195 162 165
Polygon -16777216 true false 150 255 135 225 120 150 135 120 150 105 165 120 180 150 165 225
Circle -16777216 true false 135 90 30
Line -16777216 false 150 105 195 60
Line -16777216 false 150 105 105 60

car
false
0
Polygon -7500403 true true 300 180 279 164 261 144 240 135 226 132 213 106 203 84 185 63 159 50 135 50 75 60 0 150 0 165 0 225 300 225 300 180
Circle -16777216 true false 180 180 90
Circle -16777216 true false 30 180 90
Polygon -16777216 true false 162 80 132 78 134 135 209 135 194 105 189 96 180 89
Circle -7500403 true true 47 195 58
Circle -7500403 true true 195 195 58

circle
false
0
Circle -7500403 true true 0 0 300

circle 2
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240

cow
false
0
Polygon -7500403 true true 200 193 197 249 179 249 177 196 166 187 140 189 93 191 78 179 72 211 49 209 48 181 37 149 25 120 25 89 45 72 103 84 179 75 198 76 252 64 272 81 293 103 285 121 255 121 242 118 224 167
Polygon -7500403 true true 73 210 86 251 62 249 48 208
Polygon -7500403 true true 25 114 16 195 9 204 23 213 25 200 39 123

cylinder
false
0
Circle -7500403 true true 0 0 300

dot
false
0
Circle -7500403 true true 90 90 120

face happy
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 255 90 239 62 213 47 191 67 179 90 203 109 218 150 225 192 218 210 203 227 181 251 194 236 217 212 240

face neutral
false
0
Circle -7500403 true true 8 7 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Rectangle -16777216 true false 60 195 240 225

face sad
false
0
Circle -7500403 true true 8 8 285
Circle -16777216 true false 60 75 60
Circle -16777216 true false 180 75 60
Polygon -16777216 true false 150 168 90 184 62 210 47 232 67 244 90 220 109 205 150 198 192 205 210 220 227 242 251 229 236 206 212 183

fish
false
0
Polygon -1 true false 44 131 21 87 15 86 0 120 15 150 0 180 13 214 20 212 45 166
Polygon -1 true false 135 195 119 235 95 218 76 210 46 204 60 165
Polygon -1 true false 75 45 83 77 71 103 86 114 166 78 135 60
Polygon -7500403 true true 30 136 151 77 226 81 280 119 292 146 292 160 287 170 270 195 195 210 151 212 30 166
Circle -16777216 true false 215 106 30

flag
false
0
Rectangle -7500403 true true 60 15 75 300
Polygon -7500403 true true 90 150 270 90 90 30
Line -7500403 true 75 135 90 135
Line -7500403 true 75 45 90 45

flower
false
0
Polygon -10899396 true false 135 120 165 165 180 210 180 240 150 300 165 300 195 240 195 195 165 135
Circle -7500403 true true 85 132 38
Circle -7500403 true true 130 147 38
Circle -7500403 true true 192 85 38
Circle -7500403 true true 85 40 38
Circle -7500403 true true 177 40 38
Circle -7500403 true true 177 132 38
Circle -7500403 true true 70 85 38
Circle -7500403 true true 130 25 38
Circle -7500403 true true 96 51 108
Circle -16777216 true false 113 68 74
Polygon -10899396 true false 189 233 219 188 249 173 279 188 234 218
Polygon -10899396 true false 180 255 150 210 105 210 75 240 135 240

house
false
0
Rectangle -7500403 true true 45 120 255 285
Rectangle -16777216 true false 120 210 180 285
Polygon -7500403 true true 15 120 150 15 285 120
Line -16777216 false 30 120 270 120

leaf
false
0
Polygon -7500403 true true 150 210 135 195 120 210 60 210 30 195 60 180 60 165 15 135 30 120 15 105 40 104 45 90 60 90 90 105 105 120 120 120 105 60 120 60 135 30 150 15 165 30 180 60 195 60 180 120 195 120 210 105 240 90 255 90 263 104 285 105 270 120 285 135 240 165 240 180 270 195 240 210 180 210 165 195
Polygon -7500403 true true 135 195 135 240 120 255 105 255 105 285 135 285 165 240 165 195

line
true
0
Line -7500403 true 150 0 150 300

line half
true
0
Line -7500403 true 150 0 150 150

pentagon
false
0
Polygon -7500403 true true 150 15 15 120 60 285 240 285 285 120

person
false
0
Circle -7500403 true true 110 5 80
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 195 90 240 150 225 180 165 105
Polygon -7500403 true true 105 90 60 150 75 180 135 105

person soldier
false
0
Rectangle -7500403 true true 127 79 172 94
Polygon -10899396 true false 105 90 60 195 90 210 135 105
Polygon -10899396 true false 195 90 240 195 210 210 165 105
Circle -7500403 true true 110 5 80
Polygon -10899396 true false 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -6459832 true false 120 90 105 90 180 195 180 165
Line -6459832 false 109 105 139 105
Line -6459832 false 122 125 151 117
Line -6459832 false 137 143 159 134
Line -6459832 false 158 179 181 158
Line -6459832 false 146 160 169 146
Rectangle -6459832 true false 120 193 180 201
Polygon -6459832 true false 122 4 107 16 102 39 105 53 148 34 192 27 189 17 172 2 145 0
Polygon -16777216 true false 183 90 240 15 247 22 193 90
Rectangle -6459832 true false 114 187 128 208
Rectangle -6459832 true false 177 187 191 208

person student
false
0
Polygon -13791810 true false 135 90 150 105 135 165 150 180 165 165 150 105 165 90
Polygon -7500403 true true 195 90 240 195 210 210 165 105
Circle -7500403 true true 110 5 80
Rectangle -7500403 true true 127 79 172 94
Polygon -7500403 true true 105 90 120 195 90 285 105 300 135 300 150 225 165 300 195 300 210 285 180 195 195 90
Polygon -1 true false 100 210 130 225 145 165 85 135 63 189
Polygon -13791810 true false 90 210 120 225 135 165 67 130 53 189
Polygon -1 true false 120 224 131 225 124 210
Line -16777216 false 139 168 126 225
Line -16777216 false 140 167 76 136
Polygon -7500403 true true 105 90 60 195 90 210 135 105

plant
false
0
Rectangle -7500403 true true 135 90 165 300
Polygon -7500403 true true 135 255 90 210 45 195 75 255 135 285
Polygon -7500403 true true 165 255 210 210 255 195 225 255 165 285
Polygon -7500403 true true 135 180 90 135 45 120 75 180 135 210
Polygon -7500403 true true 165 180 165 210 225 180 255 120 210 135
Polygon -7500403 true true 135 105 90 60 45 45 75 105 135 135
Polygon -7500403 true true 165 105 165 135 225 105 255 45 210 60
Polygon -7500403 true true 135 90 120 45 150 15 180 45 165 90

square
false
0
Rectangle -7500403 true true 30 30 270 270

square 2
false
0
Rectangle -7500403 true true 30 30 270 270
Rectangle -16777216 true false 60 60 240 240

star
false
0
Polygon -7500403 true true 151 1 185 108 298 108 207 175 242 282 151 216 59 282 94 175 3 108 116 108

target
false
0
Circle -7500403 true true 0 0 300
Circle -16777216 true false 30 30 240
Circle -7500403 true true 60 60 180
Circle -16777216 true false 90 90 120
Circle -7500403 true true 120 120 60

tree
false
0
Circle -7500403 true true 118 3 94
Rectangle -6459832 true false 120 195 180 300
Circle -7500403 true true 65 21 108
Circle -7500403 true true 116 41 127
Circle -7500403 true true 45 90 120
Circle -7500403 true true 104 74 152

triangle
false
0
Polygon -7500403 true true 150 30 15 255 285 255

triangle 2
false
0
Polygon -7500403 true true 150 30 15 255 285 255
Polygon -16777216 true false 151 99 225 223 75 224

truck
false
0
Rectangle -7500403 true true 4 45 195 187
Polygon -7500403 true true 296 193 296 150 259 134 244 104 208 104 207 194
Rectangle -1 true false 195 60 195 105
Polygon -16777216 true false 238 112 252 141 219 141 218 112
Circle -16777216 true false 234 174 42
Rectangle -7500403 true true 181 185 214 194
Circle -16777216 true false 144 174 42
Circle -16777216 true false 24 174 42
Circle -7500403 false true 24 174 42
Circle -7500403 false true 144 174 42
Circle -7500403 false true 234 174 42

turtle
true
0
Polygon -10899396 true false 215 204 240 233 246 254 228 266 215 252 193 210
Polygon -10899396 true false 195 90 225 75 245 75 260 89 269 108 261 124 240 105 225 105 210 105
Polygon -10899396 true false 105 90 75 75 55 75 40 89 31 108 39 124 60 105 75 105 90 105
Polygon -10899396 true false 132 85 134 64 107 51 108 17 150 2 192 18 192 52 169 65 172 87
Polygon -10899396 true false 85 204 60 233 54 254 72 266 85 252 107 210
Polygon -7500403 true true 119 75 179 75 209 101 224 135 220 225 175 261 128 261 81 224 74 135 88 99

wheel
false
0
Circle -7500403 true true 3 3 294
Circle -16777216 true false 30 30 240
Line -7500403 true 150 285 150 15
Line -7500403 true 15 150 285 150
Circle -7500403 true true 120 120 60
Line -7500403 true 216 40 79 269
Line -7500403 true 40 84 269 221
Line -7500403 true 40 216 269 79
Line -7500403 true 84 40 221 269

x
false
0
Polygon -7500403 true true 270 75 225 30 30 225 75 270
Polygon -7500403 true true 30 75 75 30 270 225 225 270

@#$#@#$#@
NetLogo 3.1.5
@#$#@#$#@
@#$#@#$#@
@#$#@#$#@
<experiments>
  <experiment name="experiment" repetitions="50" runMetricsEveryTick="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>count individuals</metric>
    <metric>sum values-from individuals [quality-of one-of cars in-radius .5]</metric>
    <metric>count socials</metric>
    <metric>sum values-from socials [quality-of one-of cars in-radius .5]</metric>
    <metric>values-from cars[line]</metric>
    <enumeratedValueSet variable="fluctuation-rate">
      <value value="2.0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="ind#">
      <value value="3"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="die?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="life-period">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-cars">
      <value value="100"/>
    </enumeratedValueSet>
    <steppedValueSet variable="soc#" first="0" step="10" last="100"/>
    <enumeratedValueSet variable="fluctuation?">
      <value value="false"/>
    </enumeratedValueSet>
    <steppedValueSet variable="socials/individuals" first="0" step="0.1" last="1"/>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryTick="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit ticks="1500"/>
    <metric>count individuals</metric>
    <metric>sum values-from individuals [quality-of one-of cars in-radius .5]</metric>
    <metric>count socials</metric>
    <metric>sum values-from socials [quality-of one-of cars in-radius .5]</metric>
    <metric>values-from cars [line]</metric>
    <enumeratedValueSet variable="die?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="ind#">
      <value value="5"/>
    </enumeratedValueSet>
    <steppedValueSet variable="socials-ratio" first="0.1" step="0.1" last="0.9"/>
    <enumeratedValueSet variable="soc#">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="number-of-cars">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="life-period">
      <value value="100"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="WCSS_ind_real5" repetitions="100" runMetricsEveryTick="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit ticks="140"/>
    <metric>gini-coeff</metric>
    <enumeratedValueSet variable="life-period">
      <value value="100"/>
    </enumeratedValueSet>
    <steppedValueSet variable="infoamount" first="2" step="1" last="10"/>
    <enumeratedValueSet variable="stdev">
      <value value="1"/>
      <value value="3"/>
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="num-of-items-for-ind">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="ind-group?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="Mmean">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="diversity-of-preference">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="die?">
      <value value="false"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="ind_group" repetitions="100" runMetricsEveryTick="false">
    <setup>setup</setup>
    <go>go</go>
    <timeLimit ticks="140"/>
    <metric>count individuals with [color = yellow]</metric>
    <metric>sum values-from individuals with [color = yellow] [quality-of one-of cars in-radius .5]</metric>
    <metric>count individuals with [color = cyan]</metric>
    <metric>sum values-from individuals with [color = cyan] [quality-of one-of cars in-radius .5]</metric>
    <metric>values-from cars[line]</metric>
    <metric>popularity-list</metric>
    <enumeratedValueSet variable="diversity-of-preference">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="num-of-options">
      <value value="5"/>
    </enumeratedValueSet>
    <steppedValueSet variable="infoamount" first="5" step="1" last="10"/>
    <enumeratedValueSet variable="ind-group?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="life-period">
      <value value="100"/>
    </enumeratedValueSet>
    <steppedValueSet variable="stdev" first="1" step="1" last="5"/>
    <enumeratedValueSet variable="Mmean">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="die?">
      <value value="false"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="soc_nonrandom" repetitions="1000" runMetricsEveryTick="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>count individuals with [color = yellow]</metric>
    <metric>sum values-from individuals with [color = yellow and not left?] [quality-of one-of cars in-radius .5]</metric>
    <metric>count individuals with [color = cyan]</metric>
    <metric>sum values-from individuals with [color = cyan and not left?] [quality-of one-of cars in-radius .5]</metric>
    <metric>values-from cars[line]</metric>
    <metric>popularity-list</metric>
    <enumeratedValueSet variable="die?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="ind-group?">
      <value value="true"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="diversity-of-preference">
      <value value="10"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="num-of-options">
      <value value="5"/>
    </enumeratedValueSet>
    <steppedValueSet variable="infoamount" first="5" step="1" last="11"/>
    <enumeratedValueSet variable="life-period">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="lamda">
      <value value="0"/>
      <value value="1"/>
      <value value="2.5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="Mmean">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev">
      <value value="1"/>
    </enumeratedValueSet>
  </experiment>
  <experiment name="experiment" repetitions="100" runMetricsEveryTick="false">
    <setup>setup</setup>
    <go>go</go>
    <metric>count individuals with [color = yellow]</metric>
    <metric>sum values-from individuals with [color = yellow and not left?] [ownquality]</metric>
    <metric>count individuals with [color = cyan]</metric>
    <metric>sum values-from individuals with [color = cyan and not left?] [ownquality]</metric>
    <metric>values-from cars[line]</metric>
    <metric>popularity-list</metric>
    <steppedValueSet variable="infoamount" first="5" step="1" last="11"/>
    <enumeratedValueSet variable="lamda">
      <value value="0"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="die?">
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="ind-group?">
      <value value="true"/>
      <value value="false"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="life-period">
      <value value="100"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="num-of-options">
      <value value="5"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="stdev">
      <value value="1"/>
    </enumeratedValueSet>
    <enumeratedValueSet variable="Mmean">
      <value value="5"/>
    </enumeratedValueSet>
  </experiment>
</experiments>
@#$#@#$#@
